<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:output method="html" indent="no"/>
	<xsl:strip-space elements="*"/>
	<xsl:include href="buttons.xsl"/>
	<!-- LAYOUT -->
	<xsl:template match="LAYOUT">
		<xsl:variable name="cID" select="@ID"/>

		<html>
<!-- eug-35 -->
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css"/>
		</head>
        <BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">
		<table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%" background="images/main_bg.gif"><tr><td>
        <TABLE WIDTH="780" HEIGHT="100%" CELLPADDING="0" CELLSPACING="0" BORDER="0" class="bg">
        	<TR>
        		<TD colspan="2" width="780" height="97" valign="top" style="background-image: url('images/top_bg.gif'); background-repeat: no-repeat;">
        			<table cellpadding="0" cellspacing="0" width="780" height="97">
        				<tr>
        					<td>
        						<!-- LOGO -->
        						<table cellpadding="0" cellspacing="0" style="margin: 30px 5px 5px 45px;">
        							<tr>
        								<td><a href="./"><img src="images/{LOGO/@NAME}" border="0" style="margin-right: 5px;"/></a></td>
        								<td class="company" valign="bottom"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
        							</tr>
        							<tr>
        								<td></td>
        								<td class="slogan" valign="top"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
        							</tr>
        						</table>
        						<!-- END LOGO -->					
        					</td>
        					<td align="right">
        						<!-- MENU -->

                    			<!-- CALL MAIN-MENU-->
                    			<xsl:call-template name="TOP-MENU"/>


        						<!-- END MENU -->
        					</td>
        				</tr>
        			</table>			
        		</TD>
        	</TR>
        	<TR>
        		<TD valign="top" width="277" height="100%">
        		<!-- SUBMENU -->
        			<table cellpadding="0" cellspacing="0" width="277" height="228" style="background-image: url('images/submenu_bg.gif'); background-repeat: repeat-y;">
        				<tr>
        					<td style="background-image: url('images/submenu_tbg.gif'); background-repeat: no-repeat;" valign="top">
             
                   				<!-- CALL SUB-MENU-->
                				<xsl:call-template name="SUB-MENU">
                					<xsl:with-param name="pageID" select="@ID"/>
                				</xsl:call-template>

        					</td>
        				</tr>
        			</table>
        		<!-- END SUBMENU -->
        			<img src="images/submenu_bbg.gif" border="0"/>
        		</TD>
        		<TD valign="top" width="503" height="100%" style="background-image: url('images/header.jpg'); background-repeat:  no-repeat;">
				<div style="width:0px; height:275px;"><span></span></div>
        		<!-- CONTENT -->
        			<table cellpadding="0" cellspacing="0" width="100%" border="0">
        				<tr><td style="padding: 0 20px 0 30px;" class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td></tr>
        				<tr>
        					<td class="text" style="padding: 0 20px 0 30px;">
        						<xsl:apply-templates select="PAGE-CONTENT"/>
        					</td>
        				</tr>
        			</table>
        		<!-- END CONTENT -->
				<div style="width:0px; height:20px;"><span></span></div>
        		</TD>
        	</TR>
        	<TR>
        		<TD colspan="2" width="780" height="4">
        			<table cellpadding="0" cellspacing="0" width="100%">
        				<tr>
        					<td><img src="images/footer_lbg.gif" border="0"/></td>
        					<td width="100%" bgcolor="#FF4800"></td>
        					<td><img src="images/footer_rbg.gif" border="0"/></td>					
        				</tr>
        			</table>
        		</TD>
        	</TR>
        	<TR>
        		<TD colspan="2" width="780" height="77" bgcolor="#FF4800" style="padding: 20px;">
        		<!-- FOOTER -->
        			<div style="float: left" class="footer"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></div>
        		<!-- END FOOTER -->
        		</TD>
        	</TR>
        </TABLE>
		</td></tr></table>
        </BODY>
		</html>

	</xsl:template>


	<!--TOP-MENU-->

	<xsl:template name="TOP-MENU">
   		<table cellpadding="0" cellspacing="0" style="margin-left: 30px;">
   			<tr>
				<xsl:apply-templates select="MENU" mode="top"/>			
   			</tr>
   		</table>
	</xsl:template>
  
   					
	<xsl:template name="SUB-MENU">
		<xsl:param name="pageID"/>
		<xsl:choose>
			<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
   				<table cellpadding="0" cellspacing="0" width="160" align="center">
   					<tr><td height="50"></td></tr>
					<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
        		</table>
			</xsl:when>
			<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
				<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
   				<table cellpadding="0" cellspacing="0" width="160" align="center">
   					<tr><td height="50"></td></tr>
					<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
        		</table>
			</xsl:when>
		<xsl:otherwise>
			<!-- no op -->
			&#160;
		</xsl:otherwise>
		</xsl:choose>
	</xsl:template>




	<!--META-TAGS-->
	<xsl:template match="META-TAGS">
		<xsl:apply-templates mode="meta-tags"/>
	</xsl:template>
	
	<xsl:template match="*" mode="meta-tags">
		<meta name="{local-name(.)}">
			<xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute>
		</meta>
	</xsl:template>
	<!--PAGE-CONTENT-->
	<xsl:template match="PAGE-CONTENT">
		<xsl:comment> EDITABLE CONTENT </xsl:comment>
		<xsl:apply-templates mode="meta-tags"/>
	</xsl:template>
	     	
</xsl:stylesheet>	
