<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:output method="html" indent="no"/>
	<xsl:strip-space elements="*"/>
	<xsl:include href="buttons.xsl"/>
	<!-- LAYOUT -->
	<xsl:template match="LAYOUT">
		<xsl:variable name="cID" select="@ID"/>

		<html>
<!-- vap-12 -->
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css"/>
		</head>
        <BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">
		<table cellpadding="0" cellspacing="0" border="1" width="100%" height="100%" style="background-image: url('images/hbg.gif'); background-repeat: repeat-x;"><tr><td>
        <TABLE WIDTH="100%" HEIGHT="100%" CELLPADDING="0" CELLSPACING="0" BORDER="0" style="background-image: url('images/header.jpg'); background-repeat: no-repeat;">
        	<TR>
        		<TD colspan="2" height="169" valign="top">
        		<!-- TOP -->
        			<table cellpadding="0" cellspacing="0" width="610" style="margin: 50px 5px 0px 55px">
        				<tr>
        					<td rowspan="2" width="54"><a href="./"><img src="images/{LOGO/@NAME}" border="0" style="margin-right: 10px;"/></a></td>
        					<td class="company" width="100%" valign="bottom"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
        				</tr>
        				<tr>
        					<td class="slogan" valign="top"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
        				</tr>							
        			</table>
        		<!-- END TOP -->
        		</TD>
        	</TR>
        	<TR>
        		<TD colspan="2" height="35" valign="top">
        		<!-- MENU -->

	       			<!-- CALL MAIN-MENU-->
    	   			<xsl:call-template name="TOP-MENU"/>

        		<!-- END MENU -->
        		</TD>
        	</TR>
        	<TR>
        		<TD valign="top" width="138" height="100%">
        		<!-- SUBMENU -->
					
    			<table cellpadding="0" cellspacing="0" width="138" style="background-image: url('images/submenu_bg.gif'); background-repeat: repeat-y;">
    			<tr>
    				<td><img src="images/submenu_tbg.gif"/></td>
    			</tr>
    			<tr>
    				<td align="center" valign="top">
    					<table cellpadding="0" cellspacing="0" width="114" border="0">
		       				<!-- CALL SUB-MENU-->
		       				<xsl:call-template name="SUB-MENU">
		       					<xsl:with-param name="pageID" select="@ID"/>
		       				</xsl:call-template>
    					</table>
    				</td>
    			</tr>
	   			<tr>
	   				<td height="80">
	   				</td>
	   			</tr>
    			<tr>
    				<td><img src="images/submenu_bbg.gif"/></td>
    			</tr>			
    			</table>			


        		<!-- END SUBMENU -->
        		</TD>
        		<TD valign="top" width="100%" height="100%">
        		<!-- CONTENT -->
					<div style="width:0px; height:110px;"><span></span></div>
        			<table cellpadding="0" cellspacing="0" width="100%" height="100%" class="bg">
        				<tr>
        					<td valign="top" style="padding-left: 10px;">
        						<table cellpadding="0" cellspacing="0" width="100%">
        						<tr>
        							<td valign="top">
        								<table cellpadding="0" cellspacing="0">
        									<tr>
        										<td><img src="images/txtheader_lbg.gif"/></td>
        									 	<td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
        										<td><img src="images/txtheader_rbg.gif"/></td>
        									</tr>
        								</table>
        							</td>
        						</tr>
        						<tr><td height="10"></td></tr>
        						<tr>
        							<td class="text">
                                        <b><xsl:value-of select="@TITLE" disable-output-escaping="yes" /></b><br/><br/>
	        							<xsl:apply-templates select="PAGE-CONTENT"/>

        							</td>
        						</tr>
        						<tr><td height="10"></td></tr>
        						</table>
        					</td>
        				</tr>
        			</table>
        		<!-- END CONTENT -->
        		</TD>
        	</TR>
        	<TR><TD colspan="2" height="1" class="hr"></TD></TR>
        	<TR>
        		<TD colspan="2" height="28" class="footer" align="center">
        		<!-- BOTTOM MENU -->

   					<!--CALL BOTTOM-MENU -->
   					<xsl:call-template name="BOTTOM-MENU"/>

        		<!-- END BOOTTOM MENU -->
        		</TD>
        	</TR>
        	<TR><TD colspan="2" height="1" class="hr"></TD></TR>
        	<TR>
        		<TD colspan="2" height="46" class="footer" align="center">		
        		<!-- FOOTER -->

					<xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/>

        		<!-- END FOOTER -->
        		</TD>
        	</TR>
        </TABLE>
		</td></tr></table>
        </BODY>

		</html>

	</xsl:template>


	<!--TOP-->


	<xsl:template name="TOP-MENU">
    	<div style="width: 560px; margin-left: 38px;">
    	<table cellpadding="0" cellspacing="0" height="35">
   			<tr>
				<xsl:apply-templates select="MENU" mode="top"/>			
   			</tr>
   		</table>
   		</div>
	</xsl:template>
  


	<xsl:template name="SUB-MENU">
		<xsl:param name="pageID"/>
		<xsl:choose>
			<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
							<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
			</xsl:when>
			<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
				<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
   						   <xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
			</xsl:when>
		</xsl:choose>
	</xsl:template>

	
	<xsl:template match="MENU-ITEM" mode="sub">
		<xsl:choose>
	            <xsl:when test="@ID=/LAYOUT/@ID" >
	   				<tr>
	   					<td><div style="width:15px; height:1px;"><spacer type="block" width="15" height="1" /></div></td>
	   					<td align="left"><span class="asubmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></span></td>
	   				</tr>
	            </xsl:when>
	            <xsl:otherwise>
					<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
		   				<tr>
		   					<td><div style="width:15px; height:1px;"><spacer type="block" width="15" height="1" /></div></td>
		   					<td align="left"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
		   				</tr>
					</xsl:if>
	            </xsl:otherwise>
		</xsl:choose>
		<xsl:if test="position()!=last()">
			<tr><td colspan="2" height="5"></td></tr>
			<tr><td colspan="2" height="1" class="submenu-hr"></td></tr>
			<tr><td colspan="2" height="5"></td></tr>
		</xsl:if>
	</xsl:template>	


	<xsl:template name="BOTTOM-MENU">
   		<table cellpadding="0" cellspacing="0" height="28">
	   		<tr>
    			<xsl:apply-templates select="MENU" mode="bottom"/>			
   			</tr>
   		</table>
	</xsl:template>


	<xsl:template match="MENU" mode="bottom">
		<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
	</xsl:template>


	<xsl:template match="MENU-ITEM"  mode="bottom">
			<xsl:choose>
            <!-- when vizited inside-->
            	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
    				<td><a href="{@HREF}" class="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>					
                </xsl:when>
                <!-- when active-->
                <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
    				<td><span class="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></span></td>					
                </xsl:when>
                <xsl:otherwise>
    				<td><a href="{@HREF}" class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>					
                </xsl:otherwise>
            </xsl:choose>
			<xsl:if test="position()!=last()">
   				<td width="12"></td>					
   				<td><img src="images/bmenu_separator.gif"/></td>										
   				<td width="12"></td>			
			</xsl:if>
	</xsl:template>



	<!--META-TAGS-->
	<xsl:template match="META-TAGS">
		<xsl:apply-templates mode="meta-tags"/>
	</xsl:template>
	
	<xsl:template match="*" mode="meta-tags">
		<meta name="{local-name(.)}">
			<xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute>
		</meta>
	</xsl:template>
	<!--PAGE-CONTENT-->
	<xsl:template match="PAGE-CONTENT">
		<xsl:comment> EDITABLE CONTENT </xsl:comment>
		<xsl:apply-templates mode="meta-tags"/>
	</xsl:template>
	     	
</xsl:stylesheet>	
